Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024755
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2013-09-12 15:542013-12-31 18:18
ReporterjecharriView Statuspublic 
Assigned Tojecharri 
PriorityhighResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision337545057885
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tongarcia
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024755: Little problem when you change the G/L journal header

DescriptionLittle problem when you change the G/L journal header
Steps To Reproduce-Go to G/L journal
-Create a batch
-Create a header. Set USD as currency
-Create some lines (the lines are going to have USD as currency)

Change the header currency. Verify that now the header has new currency and lines has the old currency. This is wrong because if you try to post you need to have a conversion rate between USD and EUR
Proposed SolutionForbid to change the header currency when you save the header
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062970)
hgbot (developer)
2013-12-20 13:02

Repository: erp/devel/pi
Changeset: 337545057885335ada8d54ff9b41c4e5610a7137
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Dec 20 13:03:18 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/337545057885335ada8d54ff9b41c4e5610a7137 [^]

Fixes issue 24755: Little problem when you change the G/L journal header

---
M src-db/database/model/triggers/GL_JOURNALLINE_TRG.xml
M src-db/database/model/triggers/GL_JOURNAL_CHK_RESTRICT_TRG.xml
---
(0063038)
hudsonbot (developer)
2013-12-21 01:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/998ed2598cb6 [^]

Maturity status: Test
(0063156)
ngarcia (developer)
2013-12-31 18:18

verified

- Issue History
Date Modified Username Field Change
2013-09-12 15:54 jecharri New Issue
2013-09-12 15:54 jecharri Assigned To => jonalegriaesarte
2013-09-12 15:54 jecharri Web browser => Google Chrome
2013-09-12 15:54 jecharri Modules => Core
2013-09-12 15:54 jecharri Triggers an Emergency Pack => No
2013-10-07 16:35 jonalegriaesarte Web browser Google Chrome => Google Chrome
2013-10-07 16:35 jonalegriaesarte Target Version 3.0MP29 => 3.0MP30
2013-11-11 16:43 jonalegriaesarte Web browser Google Chrome => Google Chrome
2013-11-11 16:43 jonalegriaesarte Target Version 3.0MP30 => 3.0MP31
2013-12-09 16:49 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-12-20 13:02 hgbot Checkin
2013-12-20 13:02 hgbot Note Added: 0062970
2013-12-20 13:02 hgbot Status new => resolved
2013-12-20 13:02 hgbot Resolution open => fixed
2013-12-20 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/337545057885335ada8d54ff9b41c4e5610a7137 [^]
2013-12-21 01:39 hudsonbot Checkin
2013-12-21 01:39 hudsonbot Note Added: 0063038
2013-12-31 18:18 ngarcia Review Assigned To => ngarcia
2013-12-31 18:18 ngarcia Note Added: 0063156
2013-12-31 18:18 ngarcia Status resolved => closed
2013-12-31 18:18 ngarcia Fixed in Version => 3.0MP31


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker